File: changelog

package info (click to toggle)
ipsvd 1.0.0-3.1
  • links: PTS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 1,236 kB
  • ctags: 874
  • sloc: ansic: 5,776; makefile: 507; sh: 326
file content (288 lines) | stat: -rw-r--r-- 8,609 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
ipsvd (1.0.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patches by myself and Valerie R. Young to make the build
    reproducible. (Closes: #777417, #846890)

 -- Chris Lamb <lamby@debian.org>  Thu, 28 Sep 2017 09:53:28 +0100

ipsvd (1.0.0-3) unstable; urgency=low

  * debian/rules: no longer install the sslsvd, sslio programs and man
    pages, as matrixssl is orphaned (closes: #751500).
  * debian/control: no longer Build-Depends: libmatrixssl1.8-dev.
  * debian/diff/0001-Makefile-build-ssl-programs-with-...diff: remove;
    obsolete.
  * debian/ipsvd.NEWS.Debian: new; sslsvd and sslio programs are no
    longer included.

 -- Gerrit Pape <pape@smarden.org>  Sat, 26 Jul 2014 06:57:45 +0000

ipsvd (1.0.0-2) unstable; urgency=low

  * debian/control: Standards-Version: 3.9.2.0.

 -- Gerrit Pape <pape@smarden.org>  Thu, 20 Oct 2011 12:32:14 +0000

ipsvd (1.0.0-1) unstable; urgency=low

  * new upstream release.
  * debian/control: Standards-Version: 3.8.0.1.
  * debian/implicit: update to revision a09db2e.
  * debian/copyright: 2008.

 -- Gerrit Pape <pape@smarden.org>  Sun, 15 Jun 2008 20:38:05 +0000

ipsvd (0.14.0-2) unstable; urgency=low

  * debian/control: Suggests: runit instead of Recommends:.
  * debian/control: add Vcs-Git: http://smarden.org/git/ipsvd.git/.

 -- Gerrit Pape <pape@smarden.org>  Fri, 15 Feb 2008 01:34:07 +0000

ipsvd (0.14.0-1) unstable; urgency=low

  * new upstream version.
  * debian/rules: switch from tarball-in-tarball to original upstream
    tarball.
  * debian/diff/matrixssl-shared.diff: redo with git as
    debian/diff/0001-Makefile-build-ssl-programs-with-shared-matrixssl-l.diff.
  * debian/rules: new target patch: apply patches from debian/diff/;
    reverse apply in target clean:.
  * debian/control: Standards-Version: 3.7.3.0.

 -- Gerrit Pape <pape@smarden.org>  Sat, 19 Jan 2008 11:29:54 +0000

ipsvd (0.13.0-1) unstable; urgency=low

  * new upstream version.
  * debian/control: Build-Depends: libmatrixssl1.8-dev (closes: #434254).
  * debian/control: Standards-Version: 3.7.2.2.

 -- Gerrit Pape <pape@smarden.org>  Sun, 26 Aug 2007 13:55:31 +0000

ipsvd (0.12.1-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Mon,  6 Feb 2006 18:41:07 +0000

ipsvd (0.12.0-1) unstable; urgency=low

  * new upstream version.
  * debian/diff/matrixssl-shared.diff: new; upstream Makefile builds ssl*
    programs with shared matrixssl library.
  * debian/rules: ssl* programs now build from (patched) upstream Makefile.
  * debian/control: minor update to long description.

 -- Gerrit Pape <pape@smarden.org>  Sat,  4 Feb 2006 09:23:00 +0000

ipsvd (0.11.1-1) unstable; urgency=low

  * new upstream version.
  * debian/control: Build-Depends: libmatrixssl1.7-dev (closes: #333905).
  * debian/diff/sslio.check.diff: remove; applied upstream.
  * debian/rules: don't apply diff.
  * debian/control: Standards-Version: 3.6.2.1.

 -- Gerrit Pape <pape@smarden.org>  Tue, 18 Oct 2005 19:05:37 +0000

ipsvd (0.11.0-2) unstable; urgency=low

  * debian/diff/sslio.check.diff: new; tweak sslio program check (fixes
    testing failure on m68k).
  * debian/rules: target unpack: apply diff.

 -- Gerrit Pape <pape@smarden.org>  Mon, 21 Feb 2005 19:30:18 +0000

ipsvd (0.11.0-1) unstable; urgency=low

  * new upstream version.
    * fix typo in tcpsvd.8 (thx Bastian Kleineidam, closes: 293363).
  * debian/rules: check sslio program.

 -- Gerrit Pape <pape@smarden.org>  Sun, 20 Feb 2005 16:13:53 +0000

ipsvd (0.10.1-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Mon, 17 Jan 2005 10:03:45 +0000

ipsvd (0.10.0-1) unstable; urgency=low

  * new upstream version.
  * debian/copyright: adapt, 2005.

 -- Gerrit Pape <pape@smarden.org>  Sat, 15 Jan 2005 11:52:10 +0000

ipsvd (0.9.7-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Fri,  3 Dec 2004 10:17:07 +0000

ipsvd (0.9.6-1) unstable; urgency=low

  * new upstream version.
  * debian/control: Build-Depends: libmatrixssl1.2-dev.
  * debian/README.Debian.diet: minor.
  * debian/rules: adapt; minor cleanup.

 -- Gerrit Pape <pape@smarden.org>  Mon,  2 Aug 2004 19:59:42 +0000

ipsvd (0.9.5-1) unstable; urgency=low

  * new upstream version.
  * diff/sslio-man.diff: remove, applied upstream.
  * debian/rules: target unpack: no diff; diet CC=diet -v -Os gcc -nostdinc;
  * debian/implicit: update to revision 1.10.
  * debian/control: update wording in long description.

 -- Gerrit Pape <pape@smarden.org>  Sun, 18 Jul 2004 09:55:02 +0000

ipsvd (0.9.4-2) unstable; urgency=low

  * debian/control: update description.
  * debian/rules: use -g -O2; target unpack: apply diff.
  * debian/diff/sslio-man.diff: new; typos.
  * debian/ipsvd.docs: add debian/README.Debian.diet.
  * debian/README.Debian.diet: new; how to build the package with the diet
    libc.

 -- Gerrit Pape <pape@smarden.org>  Mon, 21 Jun 2004 20:01:19 +0000

ipsvd (0.9.4-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Sat, 19 Jun 2004 14:51:13 +0000

ipsvd (0.9.3-1) unstable; urgency=low

  * new upstream version.
  * Build-Depends: libmatrixssl1.1-dev.

 -- Gerrit Pape <pape@smarden.org>  Wed,  2 Jun 2004 19:36:17 +0000

ipsvd (0.9.2-1) unstable; urgency=low

  * new upstream version.
  * debian/control: Build-Depends: libmatrixssl-dev (now all archs).

 -- Gerrit Pape <pape@smarden.org>  Thu, 27 May 2004 09:32:17 +0000

ipsvd (0.9.1-1) unstable; urgency=low

  * new upstream version.
  * debian/control: Build-Depends: libmatrixssl-dev [archs _it is available
    for_].

 -- Gerrit Pape <pape@smarden.org>  Mon,  3 May 2004 17:12:45 +0000

ipsvd (0.9.0-1) unstable; urgency=low

  * new upstream version.
  * debian/control: Build-Depends: libmatrixssl-dev [archs it is available
    for].
  * debian/rules: new target unpack; build, install sslio where matrixssl
    is available.
  * debian/implicit: update to revision 1.8.

 -- Gerrit Pape <pape@smarden.org>  Sat,  1 May 2004 14:09:00 +0000

ipsvd (0.8.2-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Mon, 23 Feb 2004 20:17:26 +0000

ipsvd (0.8.1-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Sun, 22 Feb 2004 14:41:09 +0000

ipsvd (0.8.0-1) unstable; urgency=low

  * new upstream version.
  * debian/control: no longer Build-Depends: libdjbdns-dev.
  * debian/copyright: 2004.
  * debian/implicit: update to revision 1.5.
  * debian/rules: support 'diet' in DEB_BUILD_OPTIONS to easily build the
    package with the diet libc instead of glibc.

 -- Gerrit Pape <pape@smarden.org>  Sat, 14 Feb 2004 10:34:44 +0000

ipsvd (0.7.1-2) unstable; urgency=medium

  * debian/control: no longer Build-Depends: debhelper; Standards-Version:
    3.6.1.0.
  * debian/rules: stop using debhelper, use implicit rules; install html
    documentation into /usr/share/doc/ipsvd/ (no subdirectory).
  * debian/impicit: new; implicit rules.
  * debian/ipsvd.docs: new.
  * debian/compat, debian/dirs, debian/docs: remove; obsolete.

 -- Gerrit Pape <pape@smarden.org>  Mon, 22 Dec 2003 09:00:31 +0000

ipsvd (0.7.1-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Wed, 26 Nov 2003 09:22:01 +0000

ipsvd (0.7.0-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Tue, 21 Oct 2003 15:59:42 +0000

ipsvd (0.6.1-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Tue, 14 Oct 2003 11:17:40 +0000

ipsvd (0.6.0-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Mon, 29 Sep 2003 11:02:29 +0000

ipsvd (0.5.0-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Wed,  6 Aug 2003 15:40:30 +0200

ipsvd (0.4.1-1) unstable; urgency=low

  * new upstream version.
  * initial official Debian package (closes: #193017).

 -- Gerrit Pape <pape@smarden.org>  Thu, 15 May 2003 10:36:22 +0200

ipsvd (0.4.0-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Sun,  4 May 2003 12:45:53 +0200

ipsvd (0.3.4-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Tue, 29 Apr 2003 14:45:41 +0200

ipsvd (0.3.0-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Sat, 12 Apr 2003 16:40:59 +0200

ipsvd (0.2.0-1) unstable; urgency=low

  * initial release.

 -- Gerrit Pape <pape@smarden.org>  Sat, 22 Mar 2003 00:51:57 +0100